Bug 39887 - jmeter.util.SSLManager: Couldn't load keystore
jmeter.util.SSLManager: Couldn't load keystore
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.2
Other Linux
: P2 major (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-06-23 16:14 UTC by sorchanian
Modified: 2007-02-03 12:06 UTC (History)
0 users



Attachments
jmeter.log file (9.65 KB, text/plain)
2006-07-10 21:35 UTC, sorchanian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sorchanian 2006-06-23 16:14:40 UTC
Hi,

We are receiving this problem in the log files during our load tests when 
using Jmeter 2.1.1. We followed the workaround for using the certs keytool
but are still getting this error. Please advise as this is important for our 
performance/load metrics:
" jmeter.util.SSLManager: Couldn't load keystore java.lang.Exception: No key found"

Thank you,
Simon
Comment 1 Sebb 2006-06-23 16:25:46 UTC
Please try using 2.2; there was a fix in this area.
Comment 2 sorchanian 2006-07-07 19:05:38 UTC
(In reply to comment #1)
> Please try using 2.2; there was a fix in this area.

Hi Sebb,

We are actually using Jmeter 2.2 as well as the latest Java JDK
and still experiencing this issue fairly consistently. Please provide
more information if you can. We would greatly appreciate it !!

Thanks again,
Simon
Comment 3 sorchanian 2006-07-10 21:35:17 UTC
Created attachment 18581 [details]
jmeter.log file
Comment 4 max.jarvie 2006-08-29 01:55:53 UTC
We are experiencing this problem as well. Running a packet capture with 
ethereal shows that this issue generates an artifact at the SSL Layer, in 
particular:

---------<from ethereal>----------

Secure Socket Layer
     TLS Record Layer: Encrypted Alert
         Content Type: Alert (21)
         Version: TLS 1.0 (0x0301)
         Length: 18
         Alert Message: Encrypted Alert

----------------------------------

Running Ethereal while refreshing the desired page in an ordinary browser does 
not generate the TLS alerts.  

I have not been able to determine whether this error is adding significant 
duration to the response times recorded by JMeter for the SSL request tests we 
are running. 

It is worth noting that running a packet capture against another Java-based 
loadtester called NeoLoad produces the same encryption alert messages. 
Comment 5 Georg Lehner 2006-09-15 13:13:03 UTC
(In reply to comment #0)
> Hi,
> 
> We are receiving this problem in the log files during our load tests when 
> using Jmeter 2.1.1. We followed the workaround for using the certs keytool
> but are still getting this error. Please advise as this is important for our 
> performance/load metrics:
> " jmeter.util.SSLManager: Couldn't load keystore java.lang.Exception: No key
found"

If you just want to access a Webpage via https this error message is
meaningless.  It comes from loading the keystore, where your own *private* keys
for SSL-Authentication towards the server can be stored.

We found that by setting the: 'javax.net.ssl.trustStore' property to the right
file (which can be the same as the keystore) and after importing the relevant
CA-Certificates problems accessing https pages are gone.

Regards: Georg Lehner (aka Jorge-León)
Comment 6 Sebb 2007-02-03 12:06:13 UTC
I think this is now fixed in SVN. It will be in the next nightly build:

http://people.apache.org/builds/jakarta-jmeter/nightly/

Part of the problem was that JMeter would create an empty keystore if no file 
was found, but then complained if there were no keys in the store...

Hopefully now the error messages are only created if there really is a problem.